Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.schema.content
Class MappingGeometryField

    java.lang.Object
      org.deegree.io.datastore.schema.content.MappingField
          org.deegree.io.datastore.schema.content.MappingGeometryField

All Implemented Interfaces:
  SimpleContent

    public class MappingGeometryField

extends MappingField

Encapsulates a geometry field of the backend (e.g. an SQL table column).

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Constructor Summary
`MappingGeometryField(String table, String field, int typeCode, int srs)` Creates a new instance of `MappingGeometryField` from the given parameters.

Method Summary
`int` | `getSRS()` Returns the vendor dependent descriptor for the SRS of the stored geometries.
`boolean` | `isNumeric()` Always returns false.
`boolean` | `isSortable()` Returns false, because a geometry db field is not suitable as a sort criterion.

Methods inherited from class org.deegree.io.datastore.schema.content.MappingField
`equals, getField, getTable, getType, isAuto, isUpdateable, setTable, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MappingGeometryField

    public MappingGeometryField(String table,
                                String field,
                                int typeCode,
                                int srs)

  Creates a new instance of `MappingGeometryField` from the given parameters.

  Parameters:
    `table` -
    `field` -
    `typeCode` -
    `srs` - -1: no SRS information available

Method Detail

### isSortable

    public boolean isSortable()

  Returns false, because a geometry db field is not suitable as a sort criterion.

  Specified by:
    `isSortable` in interface `SimpleContent`
  Overrides:
    `isSortable` in class `MappingField`
  Returns:
    false, because a geometry db field is not suitable as a sort criterion

### isNumeric

    public boolean isNumeric()

  Always returns false.

  Overrides:
    `isNumeric` in class `MappingField`
  Returns:
    false
  See Also:
    `Types`

### getSRS

    public int getSRS()

  Returns the vendor dependent descriptor for the SRS of the stored geometries.

  Returns:
    vendor dependent descriptor for the SRS, may be null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org